VisualEditor: Provide some way for out-of-skin places icons (e.g. featured star) to appear where they "should" and be editable
OpenPublic

Description

In view mode, [[Template:Top icon]] places the featured star or good article at the top right hand corner.

After loading a FA or GA or English Wikipedia, the featured star or good article icon appears where the template is, which is often down the bottom. This is perfectly acceptable except for the 'where did it go?' feeling, but maybe a plugin could come up with a better UI design for topicons, geocoords, etc.

Also templates without any real estate (like {{Use dmy dates}} and {{Use Australian English}}) 'disappear' entirely.

https://en.wikipedia.org/wiki/Angels_Brought_Me_Here?veaction=edit


Version: unspecified
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=51322

bzimport set Reference to bz51420.
jayvdb created this task.Via LegacyJul 16 2013, 2:28 AM
jayvdb added a comment.Via ConduitJul 17 2013, 4:22 AM

The 'templates without any real estate' problem is raised here:

https://en.wikipedia.org/wiki/Wikipedia:VisualEditor/Feedback#Time_for_an_essay

I'm not sure if a separate bug has been raised, or even should be. The top icons and templates without any real estate all need a special UI, probably under 'page settings'.

jayvdb added a comment.Via ConduitJul 17 2013, 4:28 AM

It is easy to delete these hidden templates without noticing.

e.g. delete the '↵' on Angels Brought Me Here.

jayvdb added a comment.Via ConduitJul 17 2013, 5:01 AM

'templates without any real estate' has been raised already as bug 51322 (meta templates).

Thryduulf added a comment.Via ConduitAug 5 2013, 1:40 PM

The meta-templates bug 51322 has been marked as fixed, but the issue of top icons is still ongoing.

TheDJ added a comment.Via ConduitAug 5 2013, 3:37 PM

Bug 51322 fixed issues that were 'solely metadata', but these actually do produce elements, the problems that remain for these elements are:
1: incorrectly positioned
2: their template edit button, when selected is visually placed far from the content, making it difficult to find. bug 50854
3: if they were correctly positioned, they are 'decoupled' from their anchor point which is a problem with templates producing floating content as well. bug 50907

Jdforrester-WMF added a comment.Via ConduitOct 2 2013, 10:32 PM

This is a rather more general problem with the Vector skin (there's desire to have flag icons from the content, but no ability other than a hack that's unsupportable in VisualEditor).

Jdforrester-WMF added a comment.Via ConduitOct 27 2014, 8:30 PM

Now that bug 23796 is fixed, we "just" need to work out a way to let the user set/unset these (bug 72199) and then trap clicks on this area to open the meta dialog, I think?

Jdforrester-WMF moved this task to Backlog on the VisualEditor workboard.Via WebNov 24 2014, 4:24 PM

Add Comment